Get Network
GET /v1/chains/{chain_id}/networks/{network_id}
Retrieves a network by its ID within a specific chain.
Headers
| Header | Required | Value |
|---|---|---|
Authorization | Yes | Bearer <token> |
X-Target-Server | Yes | networks |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
chain_id | string (UUID) | Yes | Chain ID |
network_id | string (UUID) | Yes | Network ID |
Response
200 OK
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Ethereum Mainnet",
"network_id": 1,
"chain_id": "550e8400-e29b-41d4-a716-446655440000",
"native_currency": "ETH",
"native_currency_decimals": 18,
"status": 1,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null
}
401 Unauthorized
404 Not Found
{
"code": 0,
"domain": 0,
"message": "network not found"
}